[blfs-book] r10713 - in trunk/BOOK: . gnome/core multimedia/libdriv

krejzi at linuxfromscratch.org krejzi at linuxfromscratch.org
Sun Sep 30 22:54:36 PDT 2012


Author: krejzi
Date: 2012-09-30 23:54:32 -0600 (Sun, 30 Sep 2012)
New Revision: 10713

Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/gnome/core/gnome-shell.xml
   trunk/BOOK/multimedia/libdriv/gst-ffmpeg.xml
   trunk/BOOK/multimedia/libdriv/gst-plugins-bad.xml
   trunk/BOOK/multimedia/libdriv/gst-plugins-base.xml
   trunk/BOOK/multimedia/libdriv/gst-plugins-good.xml
   trunk/BOOK/multimedia/libdriv/gst-plugins-ugly.xml
   trunk/BOOK/multimedia/libdriv/gst10-libav.xml
   trunk/BOOK/multimedia/libdriv/gst10-plugins-bad.xml
   trunk/BOOK/multimedia/libdriv/gst10-plugins-base.xml
   trunk/BOOK/multimedia/libdriv/gst10-plugins-good.xml
   trunk/BOOK/multimedia/libdriv/gst10-plugins-ugly.xml
   trunk/BOOK/multimedia/libdriv/gstreamer.xml
   trunk/BOOK/multimedia/libdriv/gstreamer10.xml
   trunk/BOOK/multimedia/libdriv/soundtouch.xml
Log:
Some book fixes.

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2012-10-01 01:41:03 UTC (rev 10712)
+++ trunk/BOOK/general.ent	2012-10-01 05:54:32 UTC (rev 10713)
@@ -149,6 +149,12 @@
                               katamari and is provided only as a dependency to
                               other packages or for testing the completed Xorg
                               installation.</para>">
+
+<!ENTITY gst-compat           "<note><para><application>GStreamer</application> 1.0 series
+                               is not API nor ABI compatible with
+                               <application>GStreamer</application> 0.10 series and both
+                               can exist on the same system.</para></note>">
+
 <!-- Part II -->
 <!-- Chapter 3 -->
 <!ENTITY initd-tools-version          "0.1.3">

Modified: trunk/BOOK/gnome/core/gnome-shell.xml
===================================================================
--- trunk/BOOK/gnome/core/gnome-shell.xml	2012-10-01 01:41:03 UTC (rev 10712)
+++ trunk/BOOK/gnome/core/gnome-shell.xml	2012-10-01 05:54:32 UTC (rev 10713)
@@ -125,8 +125,7 @@
 
 <screen><userinput>./configure --prefix=/usr \
             --sysconfdir=/etc \
-            --libexecdir=/usr/lib/gnome-shell \
-            --with-ca-certificates=/etc/ssl/ca-bundle.crt &&
+            --libexecdir=/usr/lib/gnome-shell &&
 make</userinput></screen>
 
     <para>
@@ -144,11 +143,6 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
 
-    <para>
-      <parameter>--with-ca-certificates=/etc/ssl/ca-bundle.crt</parameter>:
-      This parameter specifies where ca certificates bundle is installed.
-    </para>
-
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
       href="../../xincludes/gtk-doc-rebuild.xml"/>
 

Modified: trunk/BOOK/multimedia/libdriv/gst-ffmpeg.xml
===================================================================
--- trunk/BOOK/multimedia/libdriv/gst-ffmpeg.xml	2012-10-01 01:41:03 UTC (rev 10712)
+++ trunk/BOOK/multimedia/libdriv/gst-ffmpeg.xml	2012-10-01 05:54:32 UTC (rev 10713)
@@ -36,6 +36,8 @@
 
     &lfs72_checked;
 
+    &gst-compat;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>

Modified: trunk/BOOK/multimedia/libdriv/gst-plugins-bad.xml
===================================================================
--- trunk/BOOK/multimedia/libdriv/gst-plugins-bad.xml	2012-10-01 01:41:03 UTC (rev 10712)
+++ trunk/BOOK/multimedia/libdriv/gst-plugins-bad.xml	2012-10-01 05:54:32 UTC (rev 10713)
@@ -40,6 +40,8 @@
 
     &lfs72_checked;
 
+    &gst-compat;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>

Modified: trunk/BOOK/multimedia/libdriv/gst-plugins-base.xml
===================================================================
--- trunk/BOOK/multimedia/libdriv/gst-plugins-base.xml	2012-10-01 01:41:03 UTC (rev 10712)
+++ trunk/BOOK/multimedia/libdriv/gst-plugins-base.xml	2012-10-01 05:54:32 UTC (rev 10713)
@@ -45,6 +45,8 @@
 
     &lfs72_checked;
 
+    &gst-compat;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>

Modified: trunk/BOOK/multimedia/libdriv/gst-plugins-good.xml
===================================================================
--- trunk/BOOK/multimedia/libdriv/gst-plugins-good.xml	2012-10-01 01:41:03 UTC (rev 10712)
+++ trunk/BOOK/multimedia/libdriv/gst-plugins-good.xml	2012-10-01 05:54:32 UTC (rev 10713)
@@ -44,6 +44,8 @@
 
     &lfs72_checked;
 
+    &gst-compat;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>

Modified: trunk/BOOK/multimedia/libdriv/gst-plugins-ugly.xml
===================================================================
--- trunk/BOOK/multimedia/libdriv/gst-plugins-ugly.xml	2012-10-01 01:41:03 UTC (rev 10712)
+++ trunk/BOOK/multimedia/libdriv/gst-plugins-ugly.xml	2012-10-01 05:54:32 UTC (rev 10713)
@@ -43,6 +43,8 @@
 
     &lfs72_checked;
 
+    &gst-compat;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>

Modified: trunk/BOOK/multimedia/libdriv/gst10-libav.xml
===================================================================
--- trunk/BOOK/multimedia/libdriv/gst10-libav.xml	2012-10-01 01:41:03 UTC (rev 10712)
+++ trunk/BOOK/multimedia/libdriv/gst10-libav.xml	2012-10-01 05:54:32 UTC (rev 10713)
@@ -38,6 +38,8 @@
 
     &lfs72_checked;
 
+    &gst-compat;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>

Modified: trunk/BOOK/multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- trunk/BOOK/multimedia/libdriv/gst10-plugins-bad.xml	2012-10-01 01:41:03 UTC (rev 10712)
+++ trunk/BOOK/multimedia/libdriv/gst10-plugins-bad.xml	2012-10-01 05:54:32 UTC (rev 10713)
@@ -34,14 +34,13 @@
       set a set of plug-ins that aren't up to par compared to the rest. They
       might be close to being good quality, but they're missing something - be
       it a good code review, some documentation, a set of tests, a real live
-      maintainer, or some actual wide use. <application>GStreamer</application>
-      1.0 series are not API nor ABI compatible with
-      <application>GStreamer</application> 0.10 series, so both can co-exist
-      on the same system.
+      maintainer, or some actual wide use.
     </para>
 
     &lfs72_checked;
 
+    &gst-compat;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>

Modified: trunk/BOOK/multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- trunk/BOOK/multimedia/libdriv/gst10-plugins-base.xml	2012-10-01 01:41:03 UTC (rev 10712)
+++ trunk/BOOK/multimedia/libdriv/gst10-plugins-base.xml	2012-10-01 05:54:32 UTC (rev 10713)
@@ -33,15 +33,15 @@
       The <application>GStreamer Base Plug-ins</application> is a well-groomed and
       well-maintained collection of <application>GStreamer</application> plug-ins
       and elements, spanning the range of possible types of elements one would want
-      to write for <application>GStreamer</application>.
-      <application>GStreamer</application> 1.0 series are not API nor ABI compatible
-      with <application>GStreamer</application> 0.10 series, so both can co-exist on
-      the same system. You will need at least one of Good, Bad, Ugly or FFmpeg plugins
-      for <application>GStreamer</application> applications to function properly.
+      to write for <application>GStreamer</application>. You will need at least one
+      of Good, Bad, Ugly or Libav plugins for <application>GStreamer</application>
+      applications to function properly.
     </para>
 
     &lfs72_checked;
 
+    &gst-compat;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>

Modified: trunk/BOOK/multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- trunk/BOOK/multimedia/libdriv/gst10-plugins-good.xml	2012-10-01 01:41:03 UTC (rev 10712)
+++ trunk/BOOK/multimedia/libdriv/gst10-plugins-good.xml	2012-10-01 05:54:32 UTC (rev 10713)
@@ -35,13 +35,12 @@
       good quality code, correct functionality, and the preferred license (LGPL
       for the plug-in code, LGPL or LGPL-compatible for the supporting library).
       A wide range of video and audio decoders, encoders, and filters are included.
-      <application>GStreamer</application> 1.0 series are not API nor ABI compatible
-      with <application>GStreamer</application> 0.10 series, so both can co-exist
-      on the same system. 
     </para>
 
     &lfs72_checked;
 
+    &gst-compat;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>

Modified: trunk/BOOK/multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- trunk/BOOK/multimedia/libdriv/gst10-plugins-ugly.xml	2012-10-01 01:41:03 UTC (rev 10712)
+++ trunk/BOOK/multimedia/libdriv/gst10-plugins-ugly.xml	2012-10-01 05:54:32 UTC (rev 10713)
@@ -35,13 +35,13 @@
       good quality and correct functionality, but distributing them might pose problems.
       The license on either the plug-ins or the supporting libraries might not be how
       the <application>GStreamer</application> developers would like. The code might
-      be widely known to present patent problems. <application>GStreamer</application>
-      1.0 series are not API nor ABI compatible with <application>GStreamer</application>
-      0.10 series, so both can co-exist on the same system.
+      be widely known to present patent problems.
     </para>
 
     &lfs72_checked;
 
+    &gst-compat;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>

Modified: trunk/BOOK/multimedia/libdriv/gstreamer.xml
===================================================================
--- trunk/BOOK/multimedia/libdriv/gstreamer.xml	2012-10-01 01:41:03 UTC (rev 10712)
+++ trunk/BOOK/multimedia/libdriv/gstreamer.xml	2012-10-01 05:54:32 UTC (rev 10713)
@@ -44,6 +44,8 @@
 
     &lfs72_checked;
 
+    &gst-compat;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>

Modified: trunk/BOOK/multimedia/libdriv/gstreamer10.xml
===================================================================
--- trunk/BOOK/multimedia/libdriv/gstreamer10.xml	2012-10-01 01:41:03 UTC (rev 10712)
+++ trunk/BOOK/multimedia/libdriv/gstreamer10.xml	2012-10-01 05:54:32 UTC (rev 10713)
@@ -33,16 +33,15 @@
       <application>GStreamer</application> is a streaming media framework that enables
       applications to share a common set of plugins for things like video encoding and
       decoding, audio encoding and decoding, audio and video filters, audio visualisation,
-      web streaming and anything else that streams in real-time or otherwise.
-      <application>GStreamer</application> 1.0 series are not API nor ABI compatible with
-      <application>GStreamer</application> 0.10 series, so both can co-exist on the same
-      system. This package only provides base functionality and libraries. You will need
-      at least <xref linkend="gst10-plugins-base"/> and one of Good, Bad, Ugly or
-      FFmpeg plugins.
+      web streaming and anything else that streams in real-time or otherwise. This package
+      only provides base functionality and libraries. You will need at least
+      <xref linkend="gst10-plugins-base"/> and one of Good, Bad, Ugly or Libav plugins.
     </para>
 
     &lfs72_checked;
 
+    &gst-compat;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>

Modified: trunk/BOOK/multimedia/libdriv/soundtouch.xml
===================================================================
--- trunk/BOOK/multimedia/libdriv/soundtouch.xml	2012-10-01 01:41:03 UTC (rev 10712)
+++ trunk/BOOK/multimedia/libdriv/soundtouch.xml	2012-10-01 05:54:32 UTC (rev 10713)
@@ -84,7 +84,8 @@
       commands:
     </para>
 
-<screen><userinput>./configure --prefix=/usr &&
+<screen><userinput>./bootstrap &&
+./configure --prefix=/usr &&
 make</userinput></screen>
 
     <para>




More information about the blfs-book mailing list